%line {
  background-color: $white;
  width: 10px;
  height: 2px;
  border-radius: 0.25rem;
}

.cl-header {
    &__base-container {
        height: 62px;
        background-color: #ffff;
        position: fixed;
        display: flex;
        align-items: center;
        top: 0;
        width: 100%;
        padding: 0 1.5rem;
        z-index: 3;

        @media (min-width: 1024px) {
            padding: 0 42px;
            height: 90px;
        }
    }

    &__content-container {
      margin: 0 auto;
      display: flex;
      align-items: center;
      width: 100%;
      
      @media (min-width: 1024px) {
        max-width: 1320px;
      }
    }

    &__whatsapp-btn {
      padding: 0;
      color: $white;
      font-weight: 600;
      border-radius: 50%;
      height: 2rem;
      width: 2rem;
      background-color: $accent-green;
      text-decoration: none;
      display: flex;
      justify-content: center;
      align-items: center;
      transition: .25s all ease-in-out;

      @media(min-width: 1024px) {
        border-radius: 0.25rem;
        padding: 0.5rem 1rem;
        height: auto;
        width: max-content;
      }

      &:hover {
        transform: translateY(-2px);
        color: $white;
      }

      &--text {
        display: none;

        @media(min-width: 1024px) {
          display: block;
        }
      }
    }

    &__logo-container {
        width: 160px;

        @media (min-width: 1024px) {
            width: 260px;
            margin-right: 40px;
        }
    }

    &__menu-container {
      flex: 1;
      display: flex;
      justify-content: flex-end;

      @media(min-width: 1024px) {
        justify-content: space-between;
      }
    }

    &__nav-menu {
      display: none;

      @media (min-width: 1024px) {
        display: flex;
        align-items: center;
      }

      a {
        text-decoration: none;
        color: #000;
        text-transform: uppercase;
        font-weight: 600;

        &:not(:last-child) {
          margin-right: 40px;
        }
      }
    }

    &__logo {
        width: 100%;
        height: auto;
    }

    &__hamburger {
        &-container {
            height: 1.5rem;
            width: 1.5rem;
            margin-right: 0.75rem;

            @media (min-width: 1024px) {
                display: none;
            }
        }

        &-btn {
          width: 100%;
          height: 100%;
          position: relative;
          background-color: $main-green;
          padding: 0;
          display: flex;
          justify-content: center;
          align-items: center;

          &::before {
            content: '';
            background-color: $dark-green;
            position: absolute;
            width: 55%;
            top: -1px;
            bottom: -1px;
            left: 50%;
            border-radius: 0 0.25rem 0.25rem 0;
          }

          &:focus, &:active {
            outline: none !important;
            box-shadow: none;
          }
        }

        &-line {
          @extend %line;
          position: relative;

          &::before {
            content: '';
            @extend %line;
            transform: translateY(-4px);
            left: 0;
            position: absolute;
          }

          &::after {
            content: '';
            @extend %line;
            left: 0;
            transform: translateY(4px);
            position: absolute;
          }
        }
    }
}
